Namespace
library
Image / Tag
consul:1.11.4
Content Digest
sha256:b81513d9fd20e6c490e66aa68a7a93eb90aeb3b5d12b1e020cb4d6894d319104
Details
Created

2022-04-05 02:40:33 UTC

Size

40.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.11.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:54c95c2f58283907ca735a3fe8d3ac4a49a63dc20092eb6fddd7bad2429e3f67 - 6.6% (2.69 MB)

[#001] sha256:fa5058c132d18deaa8755a3d22c30e3853bc75ba524b8d683f8a142ee292755d - 0.0% (1.2 KB)

[#002] sha256:9fc41a23843424372f0c2a37cd65df449125797e7de8b8fbc59523cbd3cdd271 - 93.4% (38.1 MB)

[#003] sha256:7415d0a950ac13649c4876e632fd72e45cb36e8c0e44fe2a4c6e80b415a0a16b - 0.0% (142 Bytes)

[#004] sha256:fc3e46697bb16aca21dfdff46991dd7f6e9cce567b0ce68e5f8dfe394b7ffdd9 - 0.0% (153 Bytes)

[#005] sha256:627f716b1bedafdcfa22253c7d188646d2c311b79021e7c8511304658239b1c5 - 0.0% (1.75 KB)


History
2022-04-04 23:38:38 UTC

/bin/sh -c #(nop) ADD file:caa278dc5cc6257518d542227fef491a89b0b4a7fc4dcb87632c2b786b65752a in /

2022-04-04 23:38:38 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 02:40:12 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.4

2022-04-05 02:40:13 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 02:40:14 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 02:40:15 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 02:40:24 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 02:40:25 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 02:40:26 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 02:40:27 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 02:40:28 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 02:40:29 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 02:40:30 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 02:40:32 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 02:40:32 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 02:40:33 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-04-05 04:28:29 UTC

Size

41.9 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.11.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:6097bfa160c13665f946cea95b206a812a795d2517d7690a0a0796d64ec5f817 - 6.42% (2.69 MB)

[#001] sha256:9c032eb5b9063e344aee4b717ef5998e46d311665f59a9afd8eab91789cfc3ae - 0.0% (1.22 KB)

[#002] sha256:0d6366523de6a2901ab91ff00a5663a656c89fc9206e96e0fd72ca7f860daa7c - 93.58% (39.2 MB)

[#003] sha256:95545a1edac17d2649426c623e2a079a3e0c87973c88495d95acb10d89223dcd - 0.0% (173 Bytes)

[#004] sha256:1e7ff4016eed01c8113d6a4ecc65c30edcdf392f99b9da75881a079a76d2fcb6 - 0.0% (154 Bytes)

[#005] sha256:fae20c8f9372625c9e4962973cb0604a83632cd371bcdd2bfe8b89770a43a8a7 - 0.0% (1.74 KB)


History
2022-04-05 00:20:14 UTC

/bin/sh -c #(nop) ADD file:0f80c1db9ba5535d5020662b1c880624848316637bf3f9c189f459ab31f365d0 in /

2022-04-05 00:20:14 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 04:28:18 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.4

2022-04-05 04:28:18 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 04:28:19 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 04:28:19 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 04:28:27 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 04:28:28 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 04:28:28 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 04:28:28 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 04:28:29 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 04:28:29 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 04:28:29 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 04:28:29 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 04:28:29 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 04:28:29 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-04-05 03:19:18 UTC

Size

39.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.11.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:83a39d5693a8029bb5246b7d72205357bcd5d8306489b586abf44bc8659dfc1e - 6.29% (2.5 MB)

[#001] sha256:165d74fa2898df80d22a655a2fa08732410f5998afa2fcf0c7f256f9e6f4a8ff - 0.0% (1.23 KB)

[#002] sha256:ab867742b9d347e3d3437f0c9b1c78010078fd85fb2fbfa7712b669dafc79e82 - 93.7% (37.3 MB)

[#003] sha256:f9c223ecd95112c2803a89e2a48c0c3f66f90a222adba3ed2b975360c1e59df2 - 0.0% (175 Bytes)

[#004] sha256:f8ea8f36440785a8d864fc41e5d74166defead545a9ef533f57f0182034ad183 - 0.0% (154 Bytes)

[#005] sha256:08790be73dec2aa9d34200be060b68406ad03bb2db3a04db0257365067eae6f9 - 0.0% (1.74 KB)


History
2022-04-04 23:50:07 UTC

/bin/sh -c #(nop) ADD file:9e96de1fefc4e9efba26e76103eca5f1495f00a66a8d8207d493fa9eabed19c0 in /

2022-04-04 23:50:07 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 03:18:56 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.4

2022-04-05 03:18:57 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 03:18:57 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 03:18:59 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 03:19:12 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 03:19:13 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 03:19:15 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 03:19:15 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 03:19:16 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 03:19:16 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 03:19:17 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 03:19:17 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 03:19:17 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 03:19:18 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-04-05 14:35:46 UTC

Size

39.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.11.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:edd30f0f17040c7b292e0960fa771cf3ea45f994d7a2577a14fe02ae7ce727e9 - 6.55% (2.59 MB)

[#001] sha256:cf265b210ae33ff8bfef74da876682c83e48aa13f8553580350a321d5a6097c6 - 0.0% (1.2 KB)

[#002] sha256:d32a842f778fb85ae66abbb324b0c5b3fb9ee66afb2ed02ad23cd5a8329f6829 - 93.44% (37 MB)

[#003] sha256:25ef22bb7378a1cf892c76e175606239c88c619fe6b90c34b4fa207c2d4d45b4 - 0.0% (142 Bytes)

[#004] sha256:21a931ea199911b4ffb54946471d24f212bb4bb086bd8519b46bb19347e02d88 - 0.0% (154 Bytes)

[#005] sha256:51ce03b3bb5c197a3218b7b22c3a798ab484546cdd102eb08ba205d9b8863975 - 0.0% (1.74 KB)


History
2022-04-04 23:39:46 UTC

/bin/sh -c #(nop) ADD file:535e6f58c2cf7520c1824c8a290dc38c5519485470ed49587748a27c0113d586 in /

2022-04-04 23:39:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 14:35:28 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.4

2022-04-05 14:35:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-04-05 14:35:30 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-04-05 14:35:31 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-04-05 14:35:38 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-04-05 14:35:38 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-04-05 14:35:39 UTC

|1 CONSUL_VERSION=1.11.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 14:35:40 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-04-05 14:35:41 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-04-05 14:35:42 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-04-05 14:35:43 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-04-05 14:35:45 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-04-05 14:35:45 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 14:35:46 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]